import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { getPrefixClassName } from '../../config-provider/context';
import cx from 'classnames';
var ExportLine = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var prefixCls = props.prefixCls,
      className = props.className,
      reset = _objectWithoutProperties(props, ["prefixCls", "className"]);

  var iconPrefix = getPrefixClassName('icon', prefixCls);
  return /*#__PURE__*/React.createElement("span", Object.assign({
    className: cx("".concat(iconPrefix, " ").concat(iconPrefix, "-exportLine"), className),
    ref: ref
  }, reset), /*#__PURE__*/React.createElement("svg", {
    width: "1em",
    height: "1em",
    viewBox: "0 0 16 16",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h16v16H0z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M3 8.5v4.498h10V8.5h1V14H2V8.5h1zm5.5-6.497v6.551l2.463-2.462.707.707-3.66 3.66-3.653-3.653.708-.709L7.5 8.532V2.003h1z",
    fill: "currentColor",
    fillRule: "nonzero"
  }))));
});
ExportLine.displayName = "ExportLine";
export default ExportLine;